Bug 18044 - Should test what happens if you do document.open() from within the unload algorithms (since it calls them back)
Summary: Should test what happens if you do document.open() from within the unload alg...
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: ---
Assignee: Silvia Pfeiffer
QA Contact: HTML WG Bugzilla archive list
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-18 16:07 UTC by contributor
Modified: 2012-09-28 05:12 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 16:07:07 UTC
This was was cloned from bug 15919 as part of operation convergence.
Originally filed: 2012-02-06 22:29:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2012-02-06 22:29:59 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/
Multipage: http://www.whatwg.org/C#opening-the-input-stream
Complete: http://www.whatwg.org/c#opening-the-input-stream

Comment:
Should test what happens if you do document.open() from within the unload
algorithms (since it calls them back)

Posted from: 2620:0:1000:147d:fa1e:dfff:fedd:ce8d by ian@hixie.ch
User agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_5_8) AppleWebKit/535.19 (KHTML, like Gecko) Chrome/18.0.1025.3 Safari/535.19
================================================================================
Comment 1 Silvia Pfeiffer 2012-09-28 05:12:59 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: applied patch
https://github.com/w3c/html/commit/0909aeb8036b0e463ebbe033ec8597aacf2eac22
Rationale: adopted resolution by WHATWG